#ifndef _INCLUDE_PRAGMA_JPEG_LIB_H
#define _INCLUDE_PRAGMA_JPEG_LIB_H

#ifndef CLIB_JPEG_PROTOS_H
#include <clib/jpeg_protos.h>
#endif

#if defined(AZTEC_C) || defined(__MAXON__) || defined(__STORM__)
#pragma amicall(JpegBase,0x01E,AllocJPEGDecompressA(a0,a1))
#pragma amicall(JpegBase,0x024,FreeJPEGDecompress(a0))
#pragma amicall(JpegBase,0x02A,DecompressJPEGA(a0,a1))
#pragma amicall(JpegBase,0x030,AllocJPEGCompressA(a0,a1))
#pragma amicall(JpegBase,0x036,FreeJPEGCompress(a0))
#pragma amicall(JpegBase,0x03C,CompressJPEGA(a0,a1))
#pragma amicall(JpegBase,0x042,AllocRGBFromJPEGA(a0,a1))
#pragma amicall(JpegBase,0x048,FreeJPEGRGBBuffer(a0))
#pragma amicall(JpegBase,0x04E,GetJPEGInfoA(a0,a1))
#endif
#if defined(_DCC) || defined(__SASC)
#pragma libcall JpegBase AllocJPEGDecompressA 01E 9802
#pragma libcall JpegBase FreeJPEGDecompress   024 801
#pragma libcall JpegBase DecompressJPEGA      02A 9802
#pragma libcall JpegBase AllocJPEGCompressA   030 9802
#pragma libcall JpegBase FreeJPEGCompress     036 801
#pragma libcall JpegBase CompressJPEGA        03C 9802
#pragma libcall JpegBase AllocRGBFromJPEGA    042 9802
#pragma libcall JpegBase FreeJPEGRGBBuffer    048 801
#pragma libcall JpegBase GetJPEGInfoA         04E 9802
#endif
#ifdef __STORM__
#pragma tagcall(JpegBase,0x01E,AllocJPEGDecompress(a0,a1))
#pragma tagcall(JpegBase,0x02A,DecompressJPEG(a0,a1))
#pragma tagcall(JpegBase,0x030,AllocJPEGCompress(a0,a1))
#pragma tagcall(JpegBase,0x03C,CompressJPEG(a0,a1))
#pragma tagcall(JpegBase,0x042,AllocRGBFromJPEG(a0,a1))
#pragma tagcall(JpegBase,0x04E,GetJPEGInfo(a0,a1))
#endif
#ifdef __SASC_60
#pragma tagcall JpegBase AllocJPEGDecompress  01E 9802
#pragma tagcall JpegBase DecompressJPEG       02A 9802
#pragma tagcall JpegBase AllocJPEGCompress    030 9802
#pragma tagcall JpegBase CompressJPEG         03C 9802
#pragma tagcall JpegBase AllocRGBFromJPEG     042 9802
#pragma tagcall JpegBase GetJPEGInfo          04E 9802
#endif

#endif	/*  _INCLUDE_PRAGMA_JPEG_LIB_H  */